Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Namespaces | Constant Groups
WildcardQuery.h File Reference
`#include "MultiTermQuery.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::WildcardQuery
| Implements the wildcard search query. Supported wildcards are *, which matches any character sequence (including the empty one), and ?, which matches any single character. Note this query can be slow, as it needs to iterate over many terms. In order to prevent extremely slow WildcardQueries, a Wildcard term should not start with one of the wildcards * or ?. More...

## Namespaces

| Lucene

## Constant Groups

| Lucene

clucene.sourceforge.net